Bug Hunting Session
Bug 108973 - FILEOPEN: DOCX wrap through in background textbox imports in front, not behind.
Summary: FILEOPEN: DOCX wrap through in background textbox imports in front, not behind.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:6.0.0
Keywords: filter:docx
Depends on:
Blocks:
 
Reported: 2017-07-05 15:27 UTC by Justin L
Modified: 2017-07-08 11:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
InTheBackgroundTextbox.docx: textbox should be behind the main text paragraph, not hiding it. (10.18 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-07-05 15:27 UTC, Justin L
Details
comparison MSO 2010 and LibreOffice 6.0 (32.34 KB, image/png)
2017-07-05 17:41 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2017-07-05 15:27:31 UTC
Created attachment 134495 [details]
InTheBackgroundTextbox.docx: textbox should be behind the main text paragraph, not hiding it.

In MSWord, the textbox is wrapped as "behind text".  In LO, the import is now properly done as "wrap through" but misses the "in background" option.

History:
LO3.6: textbox not considered wrap_through.
LO4.0: textframe was massive - completely messed up.
LO4.1: textbox wraps through, but in foreground - same as today in 6.0master.

Perhaps a pre-requisite for bug 103978?  Not a duplicate, but that bugfix will will need to syncProperty of wrap/background.
Comment 1 Xisco Faulí 2017-07-05 17:41:26 UTC
Confirmed in

Version: 6.0.0.0.alpha0+
Build ID: 08f6f9dded1b142b858c455da03319abac691655
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 Xisco Faulí 2017-07-05 17:41:55 UTC
Created attachment 134500 [details]
comparison MSO 2010 and LibreOffice 6.0
Comment 3 Justin L 2017-07-07 00:44:11 UTC
proposed fix: https://gerrit.libreoffice.org/39672
Comment 4 Commit Notification 2017-07-08 10:36:42 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bbfdd03460ddf5e33f5fda000df9e6f6ce458288

tdf#108973 writerfilter: allow textboxes to be in the background

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.